[PC-BSD Testing] Eclipse 3.7.0_4 PBI

Ron Georgia rong1611 at yahoo.com
Sat Mar 10 03:56:53 PST 2012


Thank you. 

Sent from my iPhone. John 13:23

On Mar 9, 2012, at 15:09, Ken Moore <ken at pcbsd.org> wrote:

> It doesn't look like the PBI's have rebuilt yet since the fix was implemented. You should get an update notification once the fixed PBI's have been finished and approved.
> 
> On 03/08/2012 22:19, Ron Georgia wrote:
>> Sorry to say, but I just installed Eclipse this afternoon (3/8/2012) and
>> we still have the eclipse-devel issue in the .sbin directory. The
>> install was successful using AppCafe.
>> 
>> 
>> On Tue, 2012-03-06 at 10:13 -0500, Ken Moore wrote:
>>> On 03/02/2012 15:42, Ronald Georgia wrote:
>>>> I am "running" PCBSD9.0 amd64 on an HP Compaq 7800p, 4Gig of RAM and
>>>> a wicked big hard drive.
>>>> 
>>>> 
>>>> I attempted to install Eclipse-3.7.0_4 from AppCafe and got the
>>>> error message "An error occurred installing Eclipse. You may need to
>>>> update this PBI manually." (See attached
>>>> file eclipse-appcafe-error.png). I checked the /usr/pbi directory
>>>> and eclipse-amd64 was not created.
>>>> 
>>>> 
>>>> From the command-line I issue the following command:
>>>> [root at rong1611-s1] ~#  pbi_add --rArch amd64 --repo 001 -r -v
>>>> Eclipse
>>>> 
>>>> 
>>>> 
>>>> After the install process I got this message:
>>>> Extraction Finished!
>>>> /tmp/.PBI.9164/.PBI-header.9164/post-install.sh: cannot
>>>> create /usr/pbi/eclipse-amd64/eclipse/eclipse.ini: No such file or
>>>> directory
>>>> Installed: Eclipse-3.7.0_4
>>>> 
>>>> 
>>>> Running Eclipse from the menu does not launch the application. I
>>>> checked /usr/pbi/eclipse-amd64/.sbin and found that the eclipse
>>>> script was missing; however the eclipse-devel file was there.
>>>> [root at rong1611-s1] /usr/pbi/eclipse-amd64/.sbin# cp eclipse-devel
>>>> eclipse
>>>> 
>>>> Eclipse works.
>>>> 
>>>> 
>>>> I add the icon to the desktop:
>>>> [rgeorgia at rong1611-s1] ~>  pbi_info | grep eclipse
>>>> eclipse-3.7.0_4-amd64
>>>> [rgeorgia at rong1611-s1] ~>  pbi_icon add-desktop eclipse-3.7.0_4-amd64
>>>> 
>>>> 
>>>> Installed PyDev and a host of other plugins without incident.
>>>> 
>>>> 
>>>> Warning: Using Help ->  Check for Updates and selecting the available
>>>> updates and installing them will cause Eclipse to not launch. Still
>>>> working on why that is happening.
>>>> 
>>>> 
>>>> r0n ge0rgia
>>>> John 13:23
>>>> 
>>>> 
>>>> _______________________________________________
>>>> Testing mailing list
>>>> Testing at lists.pcbsd.org
>>>> http://lists.pcbsd.org/mailman/listinfo/testing
>>> Thanks for the report!
>>> 
>>> I just fixed the AppCafe issue, it should allow Eclipse to be
>>> installed now (needed root permissions, but flag was not set). You
>>> might want to give it 24 hours for the changes to get pushed to the
>>> mirrors before trying it out.
>>> 
>>> I also just fixed the desktop/menu entries to point to "eclipse-devel"
>>> rather than "eclipse". Once the PBI rebuilds, they should work fine.
>>> 
>>> If you come across anything else that needs to be fixed with it, let
>>> us know!
>>> 
>>> -- 
>>> ~~ Ken Moore ~~
>>> PC-BSD/iXsystems
>>> _______________________________________________
>>> Testing mailing list
>>> Testing at lists.pcbsd.org
>>> http://lists.pcbsd.org/mailman/listinfo/testing
>> 
>> _______________________________________________
>> Testing mailing list
>> Testing at lists.pcbsd.org
>> http://lists.pcbsd.org/mailman/listinfo/testing
> 
> 
> -- 
> ~~ Ken Moore ~~
> PC-BSD/iXsystems
> 
> _______________________________________________
> Testing mailing list
> Testing at lists.pcbsd.org
> http://lists.pcbsd.org/mailman/listinfo/testing


More information about the Testing mailing list